aboutsummaryrefslogtreecommitdiff
path: root/check
diff options
context:
space:
mode:
Diffstat (limited to 'check')
-rw-r--r--check/bin.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/check/bin.sh b/check/bin.sh
index c3185f19..d504961d 100644
--- a/check/bin.sh
+++ b/check/bin.sh
@@ -1,4 +1,15 @@
+# POSIX sh
for bin in bin/*.sh ; do
sh -n -- "${bin%.sh}" || exit
done
printf 'sh(1) binscripts parsed successfully.\n'
+
+# GNU Bash
+if command -v bash >/dev/null 2>&1 ; then
+ for bin in bin/*.bash ; do
+ bash -n -- "${bin%.bash}" || exit
+ done
+ printf 'bash(1) binscripts parsed successfully.\n'
+else
+ printf 'bash(1) not found, skipping checks.\n'
+fi